import { z } from "zod";
import type { TransformerPlugin, ActionArgs } from "@curatedotfun/types";
declare const ConfigSchema: z.ZodObject<{
    mappings: z.ZodRecord<z.ZodString, z.ZodType<any, z.ZodTypeDef, any>>;
}, "strip", z.ZodTypeAny, {
    mappings: Record<string, any>;
}, {
    mappings: Record<string, any>;
}>;
type Config = z.infer<typeof ConfigSchema>;
export default class ObjectTransformer implements TransformerPlugin<Record<string, unknown>, Record<string, unknown>, Config> {
    readonly type: "transformer";
    private config;
    initialize(config?: Config): Promise<void>;
    transform({ input, config, }: ActionArgs<Record<string, unknown>, Config>): Promise<Record<string, unknown>>;
    shutdown(): Promise<void>;
}
export {};
